Subject: Re: [PATCH v2 0/4] make open/unlink failures user friendly on windows using retry/abort

From: Johannes Sixt <[email-masked]>
Date: Sun, 7 Nov 2010 20:11:04 +0100

On Sonntag, 7. November 2010, Heiko Voigt wrote:
> I tested this for my use case which is described by the manual testing
> script[1]. I ran it once to create the test structure and then from
> inside the test repository
>
> 	./../block_read 5000 file
>
> and manually checked out the other branch in parallel. In this situation
> git will stop with the retry question. But I am not sure which use case you
> where addressing. Do you have a script or some information to reproduce?

Sorry, I don't have a reliable test case. I usually encountered this problem 
in the test suite at random places when it was run with 'make -j2' and in a 
production repository sometimes during rebase --interactive.

-- Hannes